/*
 * EndPointDlg.cpp : ここうさぎウィザード carot
 *      エンドポイントURL設定・編集ダイアログ インプリメンテーション ファイル
 *          written by H.Tsujimura  15 Oct 2004
 *
 * $Log: /makeRSS/carot/EndPointDlg.cpp $
 * 
 * 2     07/10/18 0:10 Tsujimura543
 * バージョン管理用コメント、IDを入れるようにする
 */

#include "carot.h"
#include "EndPointDlg.h"

#ifndef	lint
static char	*rcs_id =
"$Header: /makeRSS/carot/EndPointDlg.cpp 2     07/10/18 0:10 Tsujimura543 $";
#endif

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEndPointDlg ダイアログ

CEndPointDlg::CEndPointDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CEndPointDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CEndPointDlg)
	m_endPointURL = _T("");
	//}}AFX_DATA_INIT
}

void CEndPointDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEndPointDlg)
	DDX_Text(pDX, IDC_EDIT_TOPPAGE_URL, m_endPointURL);
	DDV_MaxChars(pDX, m_endPointURL, 384);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CEndPointDlg, CDialog)
	//{{AFX_MSG_MAP(CEndPointDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEndPointDlg メッセージ ハンドラ

void CEndPointDlg::OnOK() 
{
    char    url[MAX_URLLENGTH + 1];
    CEdit   *p = (CEdit *)GetDlgItem( IDC_EDIT_TOPPAGE_URL );
    p->GetLine( 0, url, MAX_URLLENGTH );
    m_endPointURL = url;
    if ( m_endPointURL.GetLength() <= 0 )
        return;
	
	CDialog::OnOK();
}
